<div class="justify-content-between">
    <div class="p-2 mb-2 bg-primary text-white rounded-top">
        <p class="h4">Gestion de roles</p>
    </div>

    <div class="card mb-1">
        <div class="card-body">

            <h5 class="card-title">Ajouter modérateur<small class="text-muted"> | Celui pourra supprimer des objets
                    publiés</small> </h5>
            <div *ngFor="let error of errors" class="alert alert-danger alert-dismissible fade show" role="alert">
                <small><strong>{{error.text}}</strong></small>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="alert alert-success alert-dismissible fade show" role="alert"
            *ngIf="success">
            <small><strong>Modérateur ajouté!</strong></small>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
            <form [formGroup]="moderatorForm" (ngSubmit)="addModerator()" novalidate>
                <div class="form-row">
                    <div class="form-group col-md-4">
                        <label for="inputLastname">Nom:</label>
                        <input type="text" class="form-control" id="inputLastname" formControlName="lastname"
                            placeholder="ex.: Dupont">
                    </div>
                    <div class="form-group col-md-4">
                        <label for="inputName">Prénom:</label>
                        <input type="text" class="form-control" id="inputName" formControlName="name"
                            placeholder="ex.: Pierre">
                    </div>
                    <div class="form-group col-md-4">
                        <label for="inputUsername">Nom d'utilisateur:</label>
                        <input type="text" class="form-control" id="inputUsername" formControlName="username"
                            placeholder="ex.: DupPierre">
                    </div>
                </div>
                <div class="form-row">

                    <div class="form-group col-md-4">
                        <label for="inputPassword">Mot de passe:</label>
                        <div class="input-group mb-3">
                            <input [type]="showPsw ? 'text' : 'password'" class="form-control" id="inputPassword"
                                formControlName="password" placeholder="Mot de passe">
                            <div class="input-group-append">
                                <button class="btn btn-outline-secondary pb-0" type="button" id="button-addon2"
                                    (click)="showPassword()">
                                    <span *ngIf="!showPsw" class="material-icons">
                                        visibility
                                    </span>
                                    <span *ngIf="showPsw" class="material-icons">
                                        visibility_off
                                    </span>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="inputConfirmPassword">Confirmer mot de passe:</label>
                        <input type="password" class="form-control" id="inputConfirmPassword"
                            formControlName="confirmPassword" placeholder="Confirmez le mot de passe">
                    </div>
                    <div class="form-group col-md-4">
                        <label>Action:</label>
                        <div class="text-center">
                            <button type="submit" class="btn btn-primary mr-3"
                                [disabled]="moderatorForm.pristine || moderatorForm.invalid">Ajouter!</button>
                            <button type="button" class="btn btn-secondary" (click)="resetForm(moderatorForm)">Vider
                                champs</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            <h5 class="card-title">Roles actifs</h5>
            <div class="accordion mt-2" id="accordionExample">
                <table class="table table-hover">
                    <thead>
                        <tr>
                            <th scope="col">Nom</th>
                            <th scope="col">Utilisateur</th>
                            <th scope="col">Role</th>
                            <th scope="col">Inscrit</th>
                            <th scope="col">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let role of moderators ">
                            <th scope="row">{{role.lastname}} {{role.name}}</th>
                            <td>{{role.username}}</td>
                            <td>{{role.role}}</td>
                            <td>{{role.date | date:'d MMM, y à H' }}h{{role.date | date:'mm' }}</td>
                            <td>
                                <ng-template [ngIf]="role.role == 'MODERATOR'">
                                    <div class="btn-group btn-group-md text-right" role="group">
                                        <button type="button" class="btn btn-danger"
                                            (click)="selectModerator(role._id)">Supprimer
                                            <span class="material-icons align-middle">
                                                delete
                                            </span></button>
                                    </div>
                                </ng-template>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <!--Delete Moderator Modal -->
    <div class="modal fade" id="confirmationModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Supprimer modérateur</h5>

                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    Vous-êtes sûr(e) de supprimmer ce modérateur?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" id="confirmationCancel"
                        data-dismiss="modal">Annuler</button>
                    <button type="button" class="btn btn-primary" (click)="deleteModerator()">Supprimer</button>
                </div>
            </div>
        </div>
    </div>
</div>